Show / Hide Table of Contents

# Class SaveDialog

The save dialog provides an interactive dialog box for users to pick a file to save.

##### Inheritance

System.Object
Responder
View
Toplevel
Window
Dialog
FileDialog
SaveDialog

##### Inherited Members

Dialog.AddButton(Button)
Dialog.LayoutSubviews()
Dialog.ProcessKey(KeyEvent)
FileDialog.AllowedFileTypes
FileDialog.AllowsOtherFileTypes
FileDialog.CanCreateDirectories
FileDialog.DirectoryPath
FileDialog.FilePath
FileDialog.IsExtensionHidden
FileDialog.Message
FileDialog.NameFieldLabel
FileDialog.Prompt
FileDialog.WillPresent()
Toplevel.CanFocus
Toplevel.Create()
Toplevel.Running
View.Add(View[])
View.AddRune(Int32, Int32, Rune)
View.Bounds
View.ChildNeedsDisplay()
View.Clear()
View.Clear(Rect)
View.ClearNeedsDisplay()
View.ClipToBounds()
View.ColorScheme
View.DrawFrame(Rect, Int32, Boolean)
View.DrawHotString(ustring, Boolean, ColorScheme)
View.DrawHotString(ustring, Attribute, Attribute)
View.Driver
View.EnsureFocus()
View.Focused
View.FocusFirst()
View.FocusLast()
View.FocusNext()
View.FocusPrev()
View.Frame
View.HasFocus
View.Height
View.Id
View.LayoutStyle
View.MostFocused
View.Move(Int32, Int32)
View.PositionCursor()
View.ProcessColdKey(KeyEvent)
View.ProcessHotKey(KeyEvent)
View.ScreenToView(Int32, Int32)
View.SetClip(Rect)
View.SetFocus(View)
View.SetNeedsDisplay()
View.SetNeedsDisplay(Rect)
View.Subviews
View.SuperView
View.ToString()
View.WantMousePositionReports
View.Width
View.X
View.Y
Window.Add(View)
Window.GetEnumerator()
Window.MouseEvent(MouseEvent)
Window.Redraw(Rect)
Window.Remove(View)
Window.RemoveAll()
Window.Title

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class SaveDialog : Terminal.Gui.FileDialog

##### Remarks

To use it, create an instance of the SaveDialog, and then call Application.Run on the resulting instance. This will run the dialog modally, and when this returns, the FileName property will contain the selected value or null if the user canceled.

### Constructors

#### SaveDialog(ustring, ustring)

##### Declaration

    public SaveDialog (NStack.ustring title, NStack.ustring message);

##### Parameters

Type | Name | Description
--- | --- | ---
NStack.ustring | title | To be added.
NStack.ustring | message | To be added.

### Properties

#### FileName

Gets the name of the file the user selected for saving, or null if the user canceled the dialog box.

##### Declaration

    public NStack.ustring FileName { get; }

##### Property Value

Type | Description
--- | ---
NStack.ustring | The name of the file.